Subject: [TR] Dash Cover Adhesive

From: "James Henningsen" <[email-masked]>
Date: Sun, 17 Nov 2013 15:15:08 -0500

I haven't glued a dash cover in over ten years.  Any current recommendations
on adhesive and is there any adhesive you can use that allows some movement
to get the right fit.  I seem to remember the adhesive that requires you to
lay the cover once and pray you got the holes lined up as it wasn't coming
back up.  Any thoughts as I am on the penultimate step before installing the
dash.

Thanks in advance,

Jim Henningsen

62 TR4

75 TR6

** [email-masked] **

Archive: http://www.team.net/archive